Skip to content

Create a sending source

POST
/v1/sending-sources
curl --request POST \
--url https://api.fromenance.com/v1/sending-sources \
--header 'Content-Type: application/json' \
--cookie fromenance.session_token=<fromenance.session_token> \
--data '{ "name": "example", "kind": "api", "config": { "additionalProperty": "example" }, "expected_daily_volume": 1, "silence_alert_minutes": 1 }'

Returns the webhook URL and the secret to configure at the provider. The secret is shown once. For Postmark the secret is the basic auth pair user:password.

Media typeapplication/json
object
name
required
string
>= 1 characters <= 80 characters
kind
required
string
Allowed values: api journal resend sendgrid ses generic postmark mailgun sfmc braze
config

Adapter specific, encrypted at rest. For example api_key for Resend body retrieval or server_token for Postmark.

object
key
additional properties
string
expected_daily_volume
integer | null
silence_alert_minutes
integer
>= 5 <= 20160

Source

Media typeapplication/json
object
id
required
string
name
required
string
kind
required
string
status
required
string
webhook_url
required
string | null
needs_reserve
required
boolean
footer_merge_tag
required
string | null
instructions
required
Array<string>
expected_daily_volume
required
integer | null
silence_alert_minutes
required
integer
health
required
object
last_event_at
required
string | null
events_last_hour
required
integer
signature_failures
required
integer
reserved
required
integer
completed
required
integer
reserve_to_complete_ratio
required
number | null
coverage_gaps
required
integer
silent
required
boolean
registered_today
required
integer
created_at
required
string
secret
required
string | null
Examplegenerated
{
"id": "example",
"name": "example",
"kind": "example",
"status": "example",
"webhook_url": "example",
"needs_reserve": true,
"footer_merge_tag": "example",
"instructions": [
"example"
],
"expected_daily_volume": 1,
"silence_alert_minutes": 1,
"health": {
"last_event_at": "example",
"events_last_hour": 1,
"signature_failures": 1,
"reserved": 1,
"completed": 1,
"reserve_to_complete_ratio": 1,
"coverage_gaps": 1,
"silent": true,
"registered_today": 1
},
"created_at": "example",
"secret": "example"
}